Skip to main content
`Ctrl`+`K`

# RGPushScale

Sets an additional scaling factor, that will multiply the user-defined scaling factor.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGPushScale(RG rg,PetscReal sfactor)

Logically Collective

## Input Parameters

- rg - the region context

- sfactor - the scaling factor

## Notes

The current implementation does not allow pushing several scaling factors.

This is intended for internal use, for instance in polynomial eigensolvers that use parameter scaling.

## See Also

RG: Region, `RGPopScale()`, `RGSetScale()`

## Level

developer

## Location

src/sys/classes/rg/interface/rgbasic.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages